/*
 *  Copyright (C) 2008, 2009 Juan Pedro Bolívar Puente
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package cli;

/**
 * Interfaz de un objeto encargado de imprimir mensajes.
 * @author raskolnikov
 *
 */
public interface CliPrinter
{
	/**
	 * Imprime una nueva linea.
	 */
	public void println ();
	
	/**
	 * Imprime un mensaje en una nueva linea.
	 * @param text El mensaje.
	 */
	public void println (String text);

	/**
	 * Imprime un mensaje.
	 * @param text El mensaje.
	 */
	public void print (String text);
}
