/*
 *  Copyright (C) 2008, 2009 Juan Pedro Bolívar Puente
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package cli;

import java.io.PrintStream;

/**
 * Imprime mensajes sobre un StreamPrinter
 * @author raskolnikov
 * @see StreamPrinter
 */
public class CliStreamPrinter implements CliPrinter
{
	/**
	 * Constructor.
	 * @param out El stream printer sobre el que emitir los mensajes.
	 */
	CliStreamPrinter (PrintStream out)
	{
		m_out = out;
	}
	
	/**
	 * {@inheritDoc}
	 */
	public void println ()
	{
		m_out.println ();
	}

	/**
	 * {@inheritDoc}
	 */
	public void println (String text)
	{
		m_out.println (text);
	}

	/**
	 * {@inheritDoc}
	 */
	public void print (String text)
	{
		m_out.print (text);
	}
	
	private PrintStream m_out;
}
