/*
 *  Copyright (C) 2008, 2009 Juan Pedro Bolívar Puente
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package game;

import java.util.Collection;

/**
 * Objeto externo encargado de tomar decisiones de un jugador de póquer.
 * @author raskolnikov
 *
 */
public interface ExternalPokerPlayer
{
	/**
	 * Decide cuanto apostar.
	 * @return La apuesta.
	 */
	public double chooseBet ();
	
	/**
	 * Elige las cartas a devolver
	 * @return Las cartas a devolver.
	 */
	public Collection<Card> chooseDrop ();
	
	/**
	 * Decide si irse de la partida.
	 * @return Si debe irse de la partida.
	 */
	public boolean leave ();
}
