/*
 *  Copyright (C) 2008, 2009 Juan Pedro Bolívar Puente
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package gui;

import java.util.Vector;

/**
 * Contiene la información básica para construir una partida.
 * @author raskolnikov
 *
 */
public class GameInfo
{
	/** Los jugadores de la partida */
	public Vector<PlayerInfo> players;
	/** La apuesta inicial de la partida */
	public double  min_bet;
	/** Si deben mostrarse las cartas */
	public boolean public_cards;
	/** Si un ser humano debe pasar cada paso. */
	public boolean non_stop;
	
	/**
	 * Constructor.
	 *
	 */
	GameInfo () {}
	
	/**
	 * Constructor.
	 * @param p  Los jugadores de la partida.
	 * @param mb Apuesta minima.
	 * @param pc Cartas publicas.
	 * @param ns Sin pausas.
	 */
	GameInfo (Vector<PlayerInfo> p, double mb, boolean pc, boolean ns)
	{
		players = p;
		min_bet = mb;
		public_cards = pc;
		non_stop = ns;
	}
}

